StyleableBooleanProperty (JavaFX 17)

Module javafx.graphics
Package javafx.css

## Class StyleableBooleanProperty

- java.lang.Object
- - javafx.beans.binding.BooleanExpression
  - - javafx.beans.property.ReadOnlyBooleanProperty
    - - javafx.beans.property.BooleanProperty
      - - javafx.beans.property.BooleanPropertyBase
        - - javafx.css.StyleableBooleanProperty

- All Implemented Interfaces:
    `Observable`, `Property<Boolean>`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`, `WritableBooleanValue`, `WritableValue<Boolean>`, `StyleableProperty<Boolean>`
  Direct Known Subclasses:
    `SimpleStyleableBooleanProperty`

      public abstract class StyleableBooleanProperty
      extends BooleanPropertyBase
      implements StyleableProperty<Boolean>

  This class extends `BooleanPropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `BooleanProperty`, that would otherwise be implemented as a `BooleanPropertyBase`, styleable by CSS.
  Since:
    JavaFX 8.0
  See Also:
    `BooleanPropertyBase`, `CssMetaData`, `StyleableProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyleableBooleanProperty()` | The constructor of the `StyleableBooleanProperty`.
    `StyleableBooleanProperty​(boolean initialValue)` | The constructor of the `StyleableBooleanProperty`.

  - ### Method Summary

    - ### Methods declared in class javafx.beans.property.BooleanPropertyBase

      `bind, fireValueChangedEvent, invalidated, toString`

    - ### Methods declared in class javafx.beans.property.BooleanProperty

      `asObject, booleanProperty`

    - ### Methods declared in class javafx.beans.property.ReadOnlyBooleanProperty

      `readOnlyBooleanProperty`

    - ### Methods declared in class javafx.beans.binding.BooleanExpression

      `and, asString, booleanExpression, booleanExpression, isEqualTo, isNotEqualTo, not, or`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableBooleanValue

      `get`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface javafx.css.StyleableProperty

      `applyStyle, getCssMetaData, getStyleOrigin`

    - ### Methods declared in interface javafx.beans.value.WritableBooleanValue

      `get, set, setValue`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### StyleableBooleanProperty

          public StyleableBooleanProperty()

      The constructor of the `StyleableBooleanProperty`.

    - #### StyleableBooleanProperty

          public StyleableBooleanProperty​(boolean initialValue)

      The constructor of the `StyleableBooleanProperty`.
      Parameters:
        `initialValue` - the initial value of the wrapped `Object`